<script lang="ts" setup>
const showDialog = ref(false)
const submiting = ref(false)

function dialogCloseHandler() {
}

function submitHandler() {
}


defineExpose({
  open(_: CraftTypes.SearchCraftResult = {}) {
    showDialog.value = true
  },
})
</script>

<template>
  <ElDialog v-model="showDialog"
    :close-on-click-modal="false"
    destroy-on-close
    width="90vw"
    @close="dialogCloseHandler">
    <div></div>
    <template #footer>
      <ElButton @click="showDialog = false">关闭</ElButton>
      <ElButton :loading="submiting" type="primary" @click="submitHandler">提交</ElButton>
    </template>
  </ElDialog>
</template>

<style lang="stylus" scoped>

</style>
